#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const commandloader_1 = require("./commandloader");
const Commander = require("commander");
class Main {
    constructor() {
        this._commandLoader = new commandloader_1.CommandLoader(Commander);
    }
    init() {
        Commander.version("1.0.0");
        this._commandLoader.loadCommands();
        Commander.parse(process.argv);
    }
}
new Main().init();
